/*
 * Copyright (C) 2007-2011 Linutop SAS <http://www.linutop.com/>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 */

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include "as-utils.h"

/**
 * SECTION:as-utils
 * @short_description: appstarter utils
 * @include: libappstarter/as.h
 *
 */

/**
 * as_rc_open:
 * @conffile: the conffile to use. If NULL, a default path is used
 * @readonly: open the XfceRc file in read only mode if #TRUE
 *
 * Opens the appstarter configuration file.
 *
 * Returns: an XfceRc object
 */
XfceRc *
as_rc_open (const gchar *conffile, gboolean readonly)
{
    gchar *filename;
    XfceRc *rc;

    if (conffile)
        filename = g_strdup (conffile);
    else
        filename = xfce_resource_save_location (XFCE_RESOURCE_CONFIG,
            "appstarterrc", !readonly);

    rc = xfce_rc_simple_open (filename, readonly);
    g_free (filename);

    return rc;
}

